# SendEventReport

### int SendEventReport(int CEID)

EZGemPlus에 미리 정의된 \*\*CEID(Collection Event ID)\*\*를 사용하여 호스트(Host)로 S6F11 (Event Report) 메시지를 전송합니다. 이 함수를 호출하면 해당 CEID에 연결된 리포트(Report)와 변수(VID)들이 자동으로 구성되어 전송됩니다.

Parameters

<table data-header-hidden><thead><tr><th width="195" valign="top"></th><th width="96" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">CEID</td><td valign="top">int</td><td valign="top">전송하고자 하는 CEID</td></tr></tbody></table>

{% hint style="warning" %}
일반적으로 해당된최신의 SV 를 먼저 적용하고 SendEventReport()함수를 호출합니다.  SetVIDValue()
{% endhint %}

```csharp
m_gem.SetSVIDValue(2001, m_nControlState.ToString());
m_gem.SendEventReport(1001);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-4/sendeventreport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
